<?php
function bkmrk_request($name, $default=null) 
{
	if (!isset($_REQUEST[$name])) return $default;
	if (get_magic_quotes_gpc()) return bkmrk_stripslashes($_REQUEST[$name]);
	else return $_REQUEST[$name];
}

function bkmrk_stripslashes($value)
{
	$value = is_array($value) ? array_map('bkmrk_stripslashes', $value) : stripslashes($value);
	return $value;
}
function bkmrk_field_text($name, $label='', $tips='', $attrs='')
{
  global $options;
  if (strpos($attrs, 'size') === false) $attrs .= 'size="30"';
  echo '<tr><td class="label">';
  echo '<label for="options[' . $name . ']">' . $label . '</label></td>';
  echo '<td><input type="text" ' . $attrs . ' name="options[' . $name . ']" value="' . 
    htmlspecialchars($options[$name]) . '"/>';
  echo ' ' . $tips;
  echo '</td></tr>';
}

function bkmrk_field_checkbox($name, $label='', $tips='', $attrs='')
{
  global $options;
  echo '<tr><td class="label">';
  echo '<label for="options[' . $name . ']">' . $label . '</label></td>';
  echo '<td><input type="checkbox" ' . $attrs . ' name="options[' . $name . ']" value="1" ' . 
    ($options[$name]!= null?'checked':'') . '/>';
  echo ' ' . $tips;
  echo '</td></tr>';
}
	

if (isset($_POST['save']))
{
  $options = bkmrk_request('options');
  update_option('bkmrk', $options);
}
else 
{
    $options = get_option('bkmrk');
}

$image_url = get_option('home') . '/wp-content/plugins/bookmark-me/images/';
?>	
<style type="text/css">
td.label {
    width: 150px;
    text-align: right;
    font-weight: bold;
}
</style>
<div class="wrap">
<form method="post">

<h2>Bookmarks</h2>

<? if (defined('POST_LAYOUT')) { ?>
<p>You have the post layout plugin installed. You can print the bookmark buttons directly from
post layout using the tag [bookmark-me].</p>
<table>
<? bkmrk_field_checkbox('post_layout', 'Use post layout to place the bookmarks', ''); ?>
</table>
<? } ?>

<h3>Where and how to show the buttons</h3>
<h4>On a single post</h4>
<table>
<? bkmrk_field_checkbox('post_before', 'Before the post content', ''); ?>
<? bkmrk_field_checkbox('post_after', 'After the post content', ''); ?>
</table>

<h4>On a single page</h4>
<table>
<? bkmrk_field_checkbox('page_before', 'Before the page content', ''); ?>
<? bkmrk_field_checkbox('page_after', 'After the page content', ''); ?>
</table>

<h4>On home page</h4>
<table>
<? bkmrk_field_checkbox('home_before', 'Before the post content - home page', ''); ?>
<? bkmrk_field_checkbox('home_after', 'After the post content - home page', ''); ?>
</table>

<h4>Other options</h4>
<table>
<? bkmrk_field_checkbox('target', 'Open the site in a new window', ''); ?>
<? bkmrk_field_text('label', 'Text before the buttons', ''); ?>
</table>


<h3>Buttons to display</h3>
<table>
<? bkmrk_field_checkbox('digg', '<img src="' . $image_url . 'digg.png">', 'Digg (digg.com)'); ?>
<? bkmrk_field_checkbox('technorati', '<img src="' . $image_url . 'technorati.png">', 'Technorati (technorati.com)'); ?>
<? bkmrk_field_checkbox('facebook', '<img src="' . $image_url . 'facebook.png">', 'Facebook (facebook.com)'); ?>
<? bkmrk_field_checkbox('stumbleupon', '<img src="' . $image_url . 'stumbleupon.png">', 'Stumbleupon (stumbleupon.com)'); ?>
<? bkmrk_field_checkbox('yahoo', '<img src="' . $image_url . 'yahoo.png">', 'Yahoo (yahoo.com)'); ?>
<? bkmrk_field_checkbox('delicious', '<img src="' . $image_url . 'delicious.png">', 'Delicious (del.icio.us)'); ?>
<? bkmrk_field_checkbox('google', '<img src="' . $image_url . 'google.png">', 'Google Bookmarks (www.google.com/bookmarks)'); ?>
<? bkmrk_field_checkbox('fark', '<img src="' . $image_url . 'fark.png">', 'Fark (fark.com)'); ?>
</table>

<h4>Italian</h4>
<table>
<? bkmrk_field_checkbox('it_oknotizie', '<img src="' . $image_url . 'it_oknotizie.png">', 'OK Notizie (oknotizie.alice.it)'); ?>
<? bkmrk_field_checkbox('it_segnalo', '<img src="' . $image_url . 'it_segnalo.png">', 'Segnalo (segnalo.com)'); ?>
<? bkmrk_field_checkbox('it_diggita', '<img src="' . $image_url . 'it_diggita.png">', 'Diggita (www.diggita.it)'); ?>
<? bkmrk_field_checkbox('it_upnews', '<img src="' . $image_url . 'it_upnews.png">', 'UpNews (www.upnews.it)'); ?>
<? bkmrk_field_checkbox('it_bookmark', '<img src="' . $image_url . 'it_bookmark.png">', 'Bookmark (www.bookmark.it)'); ?>
<? bkmrk_field_checkbox('it_wikio', '<img src="' . $image_url . 'it_wikio.png">', 'Wikio (www.wikio.it)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<h4>Fran&ccedil;ais</h4>
<table>
<? bkmrk_field_checkbox('fr_metatarse', '<img src="' . $image_url . 'fr_metatarse.png">', 'Metatarse (www.metatarse.com)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<h4>Espa&ntilde;ol</h4>
<table>
<? bkmrk_field_checkbox('es_meneame', '<img src="' . $image_url . 'es_meneame.png">', 'Men&egrave;ame (meneame.net)'); ?>
<? bkmrk_field_checkbox('es_fresqui', '<img src="' . $image_url . 'es_fresqui.png">', 'Fresqui (fresqui.com)'); ?>
<? bkmrk_field_checkbox('es_blogmemes', '<img src="' . $image_url . 'es_blogmemes.png">', 'Blog Memes (www.blogmemes.com)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<p><input type="submit" name="save" value="Save"></p>

</form>
</div>
